<?php
/**
 * @file
 * Contains Drupal\taxonomy_facets\Form\TaxoAdminForm.
 */

namespace Drupal\taxonomy_facets\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class TaxoAdminForm extends ConfigFormBase {
  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'taxonomy_facets.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'taxonomy_facets_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('taxonomy_facets.settings');
    $form['number_of_nodes_per_page'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Number of nodes per page'),
      '#description' => $this->t('Maximum number of nodes on a listing page, pager will be displayed at the bottom so user can view more nodes'),
      '#default_value' => $config->get('number_of_nodes_per_page'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {

    // Retrieve the configuration
    $config = \Drupal::configFactory()->getEditable('taxonomy_facets.settings');
    $config->set('number_of_nodes_per_page', $form_state->getValue('number_of_nodes_per_page'));
    $config->save();
    parent::submitForm($form, $form_state);
  }
}
